root/gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SUBVERSION.sh @ 28194

Revision 28194, 0.7 KB (checked in by davidb, 6 years ago)

Changes necessary to move version of subversion used to 1.8.1

  • Property svn:executable set to *
Line 
1#!/bin/bash
2
3package=subversion
4version=-1.8.1
5
6progname=$0
7
8source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*
9
10prefix=$GEXTSVN_INSTALLED
11
12export CFLAGS="-I$prefix/include $CFLAGS"
13export CXXFLAGS="-I$prefix/include $CXXFLAGS"
14export CPPFLAGS="-I$prefix/include $CPPFLAGS"
15export LDFLAGS="-L$prefix/lib $LDFLAGS"
16
17opt_run_untar $force_untar $auto_untar $package $version
18opt_run_configure $force_config $auto_config $package $version $prefix \
19  --with-sqlite=$prefix \
20  --with-serf=$prefix
21
22opt_run_make $compile   $package $version
23opt_run_make $install   $package $version "install"
24opt_run_make $clean     $package $version "clean"
25opt_run_make $distclean $package $version "distclean"
26
27opt_run_tarclean $tarclean $package $version
28
29
30
31
Note: See TracBrowser for help on using the browser.